#include "../include/args/args.hxx"
#include "../include/json/single_include/nlohmann/json.hpp"
#include <iostream>

using namespace std;

int main (int argc, char** argv) {
    args::ArgumentParser parser("scanburger_helper", "Performs automated tasks for scanning film");
    args::HelpFlag help(parser, "help", "Display this help menu", {'h', "help"});

    try
    {
        parser.ParseCLI(argc, argv);
    }
    catch (args::Help)
    {
        std::cout << parser;
        return 0;
    }
    catch (args::ParseError e)
    {
        std::cerr << e.what() << std::endl;
        std::cerr << parser;
        return 1;
    }
    catch (args::ValidationError e)
    {
        std::cerr << e.what() << std::endl;
        std::cerr << parser;
        return 1;
    }

    cout << "hello world" << endl;

    return 0;
}